// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-01-01 14:33
package consts

type HttpScheme string

func (hs HttpScheme) String() string {
	return string(hs)
}

func (hs HttpScheme) MarshalJSON() ([]byte, error) {
	return []byte(`"` + hs.String() + `"`), nil
}

var (
	SchemeHTTP  HttpScheme = "http"
	SchemeHTTPS HttpScheme = "https"
	SchemeWs    HttpScheme = "ws"
	SchemeWss   HttpScheme = "wss"

	SchemeSms         HttpScheme = "sms"         // SchemeSms 短信
	SchemeTel         HttpScheme = "tel"         // SchemeTel 电话
	SchemeMobileNotes HttpScheme = "mobilenotes" // SchemeMobileNotes 备忘录
	SchemeMessage     HttpScheme = "MESSAGE"     // SchemeMessage E-MAIL

	SchemeAliPay   HttpScheme = "alipay"   // SchemeAliPay 支付宝
	SchemeDingTalk HttpScheme = "dingtalk" // SchemeDingTalk 钉钉
	SchemeWeChat   HttpScheme = "wechat"   // SchemeWeChat 微信
	SchemeWeiXin   HttpScheme = "weixin"   // SchemeWeiXin 微信

	SchemeTCP    HttpScheme = "tcp"
	SchemeUDP    HttpScheme = "udp"
	SchemeUnix   HttpScheme = "unix"
	SchemeKCP    HttpScheme = "kcp"
	SchemeQuic   HttpScheme = "quic"
	SchemeGRPC   HttpScheme = "grpc"
	SchemeMQTT   HttpScheme = "mqtt"
	SchemeMQTT5  HttpScheme = "mqtt5"
	SchemeMQTTN  HttpScheme = "mqttn"
	SchemeMQTTv3 HttpScheme = "mqttv3"
	SchemeMQTTv4 HttpScheme = "mqttv4"
	SchemeMQTTv5 HttpScheme = "mqttv5"
)
